

var index = new FlexSearch.Index({
  tokenize: "strict",
  context: {
    resolution: 3
  }
});

for (let i = 0; i < data.length; i++) {
  index.add(i, data[i][1]);
}

var input = document.getElementById("quotes-search");

var button = document.getElementById("search-button");

var results = document.getElementById("results");


button.addEventListener("click", function() {
  var query = input.value;
  var searchResults = index.search(query);
  if (searchResults.length === 0) {
    results.innerHTML = "No match!";
  } else {
    results.innerHTML = "";
    for (let i = 0; i < searchResults.length; i++) {
      var tmp = data[searchResults[i]];
      var result = document.createElement("div");
      result.className = "result";
      result.innerHTML = '<span class="prev">' + tmp[0] + '</span>'
        + ' <span class="curr">' + tmp[1] + '</span>'
        + ' <span class="next">' + tmp[2] + '</span>'
        + ' <span class="src">' + tmp[3] + '</span>';
      results.appendChild(result);
    }
  }
});

input.addEventListener("keydown", function(event) {
  if (event.key === "Enter") {
    button.click();
    this.blur();
  }
});

document.addEventListener("dblclick", function() {
  input.value = "";
  input.focus();
});

results.innerHTML = "Ready!";